<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);
$zroot = $_SESSION["zdbroot"];

$file = 'purreg_fr.php';

$supplier = $_POST["supplier"];
$p = $_GET["p"];
$ptype = $_POST["ptype"];
$pchtype = $_POST["pchtype"];
$dtype = $_POST["dtype"];
$gsttype = $_POST["gsttype"];

if (!empty($supplier)) {
    $suppcond = " AND `party` = '$supplier' ";
    $suppcond2 = " AND `accode` = '$supplier' ";
}
if (!empty($p)) {
    $pcond = " AND `party` = '$p' ";
}
if (!empty($ptype)) {
    $ptypecond = " AND `cashcred`= '$ptype'";
}

if ($ptype == "C") {
    $paytype = "CASH";
} else {
    $paytype = "CREDIT";
}

$formname = 'Purchase Register';

if (!empty($dtype)) {
    $dtypecond = " AND `dtype`= '$dtype' ";
}


if (!empty($gsttype)) {
    if ($gsttype == 1) {
        $gstcond = "AND `oms` = '1'";
    } else {
        $gstcond = "AND `oms` = ''";
    }
}

if (($_GET["fdt"]) != '') {
    $mfdt = $_GET["fdt"];
    $mtdt = $_GET["tdt"];
    $mfrmdate = date("y-m-d", strtotime($mfdt));
    $mtodate = date("y-m-d", strtotime($mtdt));
    $dtype = $_GET["rpt"];
} else {

    $mfrmdate = trim($_POST["frmdt"]);
    $mtodate = trim($_POST["todt"]);

    if (empty($_POST["frmdt"])) {
        browse("From Date Cannot Be Empty");
        header("refresh:1; purreg.php");
    }
    if (empty($_POST["todt"])) {
        browse("To Date Cannot Be Empty");
        header("refresh:1; purreg.php");
    }
    $mfdt = date("d-m-Y", strtotime($mfrmdate));
    $mtdt = date("d-m-Y", strtotime($mtodate));
}

if (!empty($gsttype)) {
    if ($gsttype == 1) {
        $gstcond = "AND `oms` = '1'";
    } else {
        $gstcond = "AND `oms` = ''";
    }
} else {
    $gstcond = "";
}

$getpmain2 = mysqli_query($conn, "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `purmain` WHERE `vouchdt` >= '$mfrmdate' 
AND `vouchdt` <= '$mtodate' $suppcond $ptypecond  $gstcond $pcond order by vouchdt,vouchno")or die(mysqli_error($conn));


$getno2 = mysqli_num_rows($getpmain2);


if (isset($_POST["view"]) || ($_GET["view"])) {
    include("includes/linkshead.php");
    ?>
    <style type="text/css">
        #tabital{
            font-style: italic;
        }
        #font1{
            font-style: italic;
        }
        #boldfont{
            font-weight: bold; 
        }


    </style>
    </head>
    <body>


        <div class="container-fluid">
            <?php
            include("includes/head_rep2.php");

            if ($getno2 > 0) {
                ?>
                <div class="row">
                    <div class="col-lg-12 pad">
                        <table class="table table-condesed table-bordered">
                            <tr class="mySearchTr">
                                <!--9221292520-->
                                <th width="100%" class="h4" style="color:white"><b>Purchase Register</b></th>
                            </tr>
                            <tr>
                                <td style="font-size: 15px;padding:5px" class="HDFont" colspan="2">
                                    Total No. of Record :&nbsp;&nbsp;<b><?php echo $getno2; ?></b>
                                </td>
                            </tr>
                        </table>
                        <?php if ($ptype != "") { ?>
                            <table width="100%" class="table" style="background-color: #98F9F0">
                                <tr><td width="7%" style="font-size:14px">Pay Type : </td>
                                    <td width="93%" style="font-size:14px"><b><?php echo $paytype; ?></b></td></tr>
                            </table>
                        <?php } ?>
                        <table style="background: white;width: 100%" class="table table-condensed table-striped table-hover table-bordered">
                            <thead class="mySearchTr">
                                <tr>
                                    <th width="3%;">Sr</th>
                                    <th width="4%;">Voucher</th>
                                    <th width="6%;">Date</th>
                                    <th width="30%;">Party Name</th>                                
                                    <th width="6%;">Invoice No.</th>
                                    <th width="7%;">Pay type</th>
                                    <th width="10%;" class="text-right">Total Qty.</th>
                                    <th width="10%;" class="text-right">Sub Total</th>
                                    <th width="8%;" class="text-right">Less Item Discount</th>
                                    <th width="8%;" class="text-right">Taxable Value</th>
                                    <th width="10%;" class="text-right">Total GST</th>
                                    <th width="10%;" class="text-right">Total Amount</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                $pctr = 0;
                                $ptotamt = 0;
                                $ptotdiscamt = 0;
                                $ptottaxable = 0;
                                $ptotgst3 = 0;
                                $ptotgst5 = 0;
                                $ptotgst12 = 0;
                                $ptotgst18 = 0;
                                $ptotgst28 = 0;
                                $ptotpackamt = $ptotstamt = $ptotothamt = $ptotbillamt = 0;
                                $pchtypecond = "";

//                                $getpmain_p = mysqli_query($conn, "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `rawmain` WHERE `vouchdt` >= '$mfrmdate' 
//                                        AND `vouchdt` <= '$mtodate' $suppcond $godowncond $gstcond $pcond order by vouchdt,vouchno")or die(mysqli_error($conn));


                                while ($pmain = mysqli_fetch_array($getpmain2)) {
                                    if ($pmain['paidby'] == "C") {
                                        $ptyped = "CASH";
                                    } else {
                                        $ptyped = "CREDIT";
                                    }


                                    $gparty = mysqli_query($conn, "SELECT `accode`,`name`, `gstno` FROM `accmast` where `accode` = '$pmain[party]'") or die(mysqli_error($conn));
                                    $sparty = mysqli_fetch_array($gparty);

                                    $voucher = $pmain['vouchno'];
                                    $invno = $pmain['invno'];
                                    $mydt = $pmain['mydt'];
                                    $party = $sparty['name'];
                                    $gstno = $sparty['gstno'];
                                    $billamt = $pmain['billamt'];
                                    $subtot = $pmain['grossamt'];
                                    $totvat = $pmain['totvat'];
                                    $totqty = $pmain['totqty'];
                                    $totdisc = $pmain['totdisc'];
                                    $litemdisc = $pmain['litemdisc'];
                                    $tottaxamt = $pmain['tottaxamt'];
                                    $subtotal = $pmain['subtotal'];
                                    $totalgst = $pmain['totalgst'];
                                    $totalamount = $pmain['totalamount'];

                                    $pctr++;
                                    Echo"<tr data-href='purchase.php?mode=edit&vouchno=$voucher' class='clickable-row2' style='cursor: pointer;' [target]='_blank'>";
                                    Echo"<td>$pctr</td>";
                                    Echo"<td>$voucher</td>";
                                    Echo"<td>$mydt</td>";
                                    Echo"<td>$party <br> $gstno </td>";
                                    Echo"<td>$invno</td>";
                                    Echo"<td>$ptyped</td>";
                                    Echo"<td class='text-right'>$totqty</td>";
                                    Echo"<td class='text-right'>$subtotal</td>";
                                    Echo"<td class='text-right'>$litemdisc</td>";
                                    Echo"<td class='text-right'>$tottaxamt</td>";
                                    Echo"<td class='text-right'>$totalgst</td>";
                                    Echo"<td class='text-right'>$totalamount</td>";
                                    Echo"</tr>";
                                    
//                                    Echo"<tr>";
//                                    Echo"<td></td>";
//                                    Echo"<td></td>";
//                                    Echo"<td></td>";
//                                    Echo"<td>$gstno</td>";
//                                    Echo"<td></td>";
//                                    if ($ptype != "") {
//                                        Echo"<td></td>";
//                                    }
//                                    Echo"<td class='text-right'></td>";
//                                    Echo"<td class='text-right'></td>";
//                                    Echo"<td class='text-right'></td>";
//                                    Echo"<td class='text-right'></td>";
//                                    Echo"<td class='text-right'></td>";
//                                    Echo"<td class='text-right'></td>";
//                                    Echo"</tr>";

                                    $pgrtotqty = $pgrtotqty + $totqty;
                                    $pgrsubtot = $pgrsubtot + $subtotal;
                                    $pgrtotdis = $pgrtotdis + $litemdisc;
                                    $pgrtotvat = $pgrtotvat + $tottaxamt;
                                    $pgrtotalgst = $pgrtotalgst + $totalgst;
                                    $pgrtotalamount = $pgrtotalamount + $totalamount;

                                    if ($_POST["dtype"] == 2) {

                                        Echo "<tr style='height:10px;'>";
                                        Echo "<td colspan='25'>";
                                        Echo "<table style='width:100%;' id='tabital' class='table table-condensed table-hover table-bordered'>";
                                        Echo "<thead>";
                                        Echo "<tr class='' style='background-color:#BABFC2'>";
                                        Echo "<th style='width:3%;'>Sr</th>";
                                        Echo "<th style='width:18%;' class=''>Itemname</th>";
                                        Echo "<th style='width:5%;'>Hsn Code</th>";
                                        Echo "<th style='width:5%;' class='text-right'>Qty.</th>";
                                        Echo "<th style='width:5%;' class='text-right'>Cost</th>";
                                        Echo "<th style='width:5%;' class='text-right'>Amount</th>";
                                        Echo "<th style='width:4%;' class='text-right'>Disc%</th>";
                                        Echo "<th style='width:8%;' class='text-right'>Discount Amt</th>";
                                        Echo "<th style='width:4%;' class='text-right'>Taxable Value</th>";
                                        Echo "<th style='width:6%;' class='text-right'>CGST Rate</th>";
                                        Echo "<th style='width:6%;' class='text-right'>CGST Amt.</th>";
                                        Echo "<th style='width:6%;' class='text-right'>SGST Rate</th>";
                                        Echo "<th style='width:6%;' class='text-right'>SGST Amt.</th>";
                                        Echo "<th style='width:7%;' class='text-right'>IGST Rate</th>";
                                        Echo "<th style='width:7%;' class='text-right'>IGST Amt.</th>";
                                        Echo "<th style='width:5%;' class='text-right'>Total</th>";
                                        Echo "</tr>";
                                        Echo "<thead>";
                                        Echo "<tr>";
//
//
                                        $ctr2 = 0;
                                        $pctr2 = 0;
                                        $pcartqty = $pqty = $ptotqty = $ptotamount = $ptotdiscount = $ptotvat = $ptotal = 0;

                                        $gettran = mysqli_query($conn, "SELECT * FROM `purtran` WHERE `vouchno`='$pmain[vouchno]' order by srno") or die(mysqli_error($conn));
                                        while ($tran = mysqli_fetch_array($gettran)) {

                                            $getitem = mysqli_query($conn, "SELECT `code`,`name` FROM `product` WHERE `code`='$tran[item]'") or die(mysqli_error($conn));
                                            $showitem = mysqli_fetch_array($getitem);

                                            $ctr2++;
                                            Echo "<tr>";
                                            Echo "<td>$ctr2</td>";
                                            Echo "<td>$showitem[name]</td>";
                                            Echo "<td>$tran[hsncode]</td>";
                                            Echo "<td class='text-right'>$tran[qty]</td>";
                                            Echo "<td class='text-right'>$tran[cost]</td>";
                                            Echo "<td class='text-right'>$tran[amount]</td>";
                                            Echo "<td class='text-right'>$tran[discperc]</td>";
                                            Echo "<td class='text-right'>$tran[discount]</td>";
                                            Echo "<td class='text-right'>$tran[subtot]</td>";
                                            Echo "<td class='text-right'>$tran[cgstrate]</td>";
                                            Echo "<td class='text-right'>$tran[cgstamt]</td>";
                                            Echo "<td class='text-right'>$tran[sgstrate]</td>";
                                            Echo "<td class='text-right'>$tran[sgstamt]</td>";
                                            Echo "<td class='text-right'>$tran[igstrate]</td>";
                                            Echo "<td class='text-right'>$tran[igstamt]</td>";
                                            Echo "<td class='text-right'>$tran[total]</td>";
                                            Echo "</tr>";

                                            $pqty = $pqty + $tran['qty'];
                                            //                                            $pcost        = $pcost + $tran['cost'];
                                            $ptotamount = $ptotamount + $tran['amount'];
                                            //                                            $ptotdiscperc = $ptotdiscperc + $tran['discperc'];
                                            $ptotdiscount = $ptotdiscount + $tran['discount'];
                                            $psubtot = $psubtot + $tran['subtot'];
                                            //                                            $pcgstrate    = $pcgstrate + $tran['cgstrate'];
                                            $pcgstamt = $pcgstamt + $tran['cgstamt'];
                                            //                                            $psgstrate    = $psgstrate + $tran['sgstrate'];
                                            $psgstamt = $psgstamt + $tran['sgstamt'];
                                            //                                            $pigstrate    = $pigstrate + $tran['igstrate'];
                                            $pigstamt = $pigstamt + $tran['igstamt'];
                                            $ptotal = $ptotal + $tran['total'];
                                            $tran['qty'] = $tran['amount'] = $tran['discount'] = $tran['subtot'] = $tran['cgstamt'] =
                                            $tran['sgstamt'] = $tran['igstamt'] = $tran['total'] = 0;
                                        }

                                        Echo "<tr style='background-color:#c7ecee;font-weight:bold;'>";
                                        Echo "<td></td>";
                                        Echo "<td></td>";
                                        Echo "<td class='text-right'>Total</td>";
                                        Echo "<td class='text-right'>$pqty</td>";
                                        Echo "<td class='text-right'>$pcost</td>";
                                        Echo "<td class='text-right'>$ptotamount</td>";
                                        Echo "<td class='text-right'>$ptotdiscperc</td>";
                                        Echo "<td class='text-right'>$ptotdiscount</td>";
                                        Echo "<td class='text-right'>$psubtot</td>";
                                        Echo "<td class='text-right'>$pcgstrate</td>";
                                        Echo "<td class='text-right'>$pcgstamt</td>";
                                        Echo "<td class='text-right'>$psgstrate</td>";
                                        Echo "<td class='text-right'>$psgstamt</td>";
                                        Echo "<td class='text-right'>$pigstrate</td>";
                                        Echo "<td class='text-right'>$pigstamt</td>";
                                        Echo "<td class='text-right'>$ptotal</td>";
                                        Echo "</tr>";
                                        Echo "</table>";
                                    }
                                }
                                Echo "<tr style='background-color: #98F9F0;color: red;'>";
                                Echo "<td></td>";
                                Echo "<td></td>";
                                Echo "<td></td>";
                                Echo "<td></td>";
                                Echo "<td></td>";
                                Echo "<td class='text-right'><b>Total</b></td>";
                                Echo "<td class='numeric text-right'><b>$pgrtotqty</b></td>";
                                Echo "<td class='numeric text-right'><b>$pgrsubtot</b></td>";
                                Echo "<td class='numeric text-right'><b>$pgrtotdis</b></td>";
                                Echo "<td class='numeric text-right'><b>$pgrtotvat</b></td>";
                                Echo "<td class='numeric text-right'><b>$pgrtotalgst</b></td>";
                                Echo "<td class='numeric text-right'><b>$pgrtotalamount</b></td>";
                                Echo "</tr>";
                                ?>
                            </tbody>
                        </table>
                    </div> 
                </div>

                <?php
            } else {
                browse("No Records Found");
                echo '<script type="text/javascript">
        window.close();
      </script>';
            }
            ?>
        </div>
        <?php include("includes/linksfoot.php");
        ?>
    </body>
    </html>
    <?php
}
if (isset($_POST["excel"])) {
    if ($getno2 > 0) {
        $contents .= "Purchase Register\n";

        $contents .= "$getno2" . "\n";
        if ($ptype != "") {
            $contents .= "Pay Type" . "";
            $contents .= "$paytype" . "\n";
        }
        $contents .= "Sr., Voucher, Date, Party Name, GST. No., Invoice No., Type, Total Qty., Sub Total, Less Item Discount, Taxable Value, Total GST, Total Amount \n";

        if ($ptype != "") {
            $contents .= "Pay Type \n";
        }

        $pctr = 0;
        $ptotamt = 0;
        $ptotdiscamt = 0;
        $ptottaxable = 0;
        $ptotgst3 = 0;
        $ptotgst5 = 0;
        $ptotgst12 = 0;
        $ptotgst18 = 0;
        $ptotgst28 = 0;
        $ptotpackamt = $ptotstamt = $ptotothamt = $ptotbillamt = 0;
        $pchtypecond = "";

//                                $getpmain_p = mysqli_query($conn, "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `rawmain` WHERE `vouchdt` >= '$mfrmdate' 
//                                        AND `vouchdt` <= '$mtodate' $suppcond $godowncond $gstcond $pcond order by vouchdt,vouchno")or die(mysqli_error($conn));


        while ($pmain = mysqli_fetch_array($getpmain2)) {
            if ($pmain['paidby'] == "C") {
                $ptyped = "CASH";
            } else {
                $ptyped = "CREDIT";
            }


            $gparty = mysqli_query($conn, "SELECT `accode`,`name`,`gstno` FROM `accmast` where `accode` = '$pmain[party]'") or die(mysqli_error($conn));
            $sparty = mysqli_fetch_array($gparty);

            $voucher = $pmain['vouchno'];
            $invno = $pmain['invno'];
            $mydt = $pmain['mydt'];
            
            $party = $sparty['name'];
            $gstno = $sparty['gstno'];
            
            $billamt = $pmain['billamt'];
            $subtot = $pmain['grossamt'];
            $totvat = $pmain['totvat'];
            $totqty = $pmain['totqty'];
            $totdisc = $pmain['totdisc'];
            $litemdisc = $pmain['litemdisc'];
            $tottaxamt = $pmain['tottaxamt'];
            $subtotal = $pmain['subtotal'];
            $totalgst = $pmain['totalgst'];
            $totalamount = $pmain['totalamount'];

            $pctr++;


            $contents .= "$pctr" . ",";
            $contents .= "$voucher" . ",";
            $contents .= "$mydt" . ",";
            $contents .= "$party" . ",";
            $contents .= "$gstno" . ",";
            $contents .= "$invno" . ",";
            $contents .= "$ptyped" . ",";
            $contents .= "$totqty" . ",";
            $contents .= "$subtotal" . ",";
            $contents .= "$litemdisc" . ",";
            $contents .= "$tottaxamt" . ",";
            $contents .= "$totalgst" . ",";
            $contents .= "$totalamount" . "\n";

            $pgrtotqty = $pgrtotqty + $totqty;
            $pgrsubtot = $pgrsubtot + $subtotal;
            $pgrtotdis = $pgrtotdis + $litemdisc;
            $pgrtotvat = $pgrtotvat + $tottaxamt;
            $pgrtotalgst = $pgrtotalgst + $totalgst;
            $pgrtotalamount = $pgrtotalamount + $totalamount;

            if ($_POST["dtype"] == 2) {

                $contents .= "Sr, Itemname, HSN Code, Qty., Cost, Amount, Disc %, Discount Amt, Taxable Value, CGST Rate, CGST Amt, SGST Rate, SGST Amt,IGST Rate, IGST Amt, Total\n";

                $ctr2 = 0;
                $pctr2 = 0;
                $pcartqty = $pqty = $ptotqty = $ptotamount = $ptotdiscount = $ptotvat = $ptotal = 0;

                $gettran = mysqli_query($conn, "SELECT * FROM `purtran` WHERE `vouchno`='$pmain[vouchno]' order by srno") or die(mysqli_error($conn));
                while ($tran = mysqli_fetch_array($gettran)) {

                    $getitem = mysqli_query($conn, "SELECT `code`,`name` FROM `product` WHERE `code`='$tran[item]'") or die(mysqli_error($conn));
                    $showitem = mysqli_fetch_array($getitem);

                    $ctr2++;
                    $contents .= "$ctr2" . ",";
                    $contents .= "$showitem[name]" . ",";
                    $contents .= "$tran[hsncode]" . ",";
                    $contents .= "$tran[qty]" . ",";
                    $contents .= "$tran[cost]" . ",";
                    $contents .= "$tran[amount]" . ",";
                    $contents .= "$tran[discperc]" . ",";
                    $contents .= "$tran[discount]" . ",";
                    $contents .= "$tran[subtot]" . ",";
                    $contents .= "$tran[cgstrate]" . ",";
                    $contents .= "$tran[cgstamt]" . ",";
                    $contents .= "$tran[sgstrate]" . ",";
                    $contents .= "$tran[sgstamt]" . ",";
                    $contents .= "$tran[igstrate]" . ",";
                    $contents .= "$tran[igstamt]" . ",";
                    $contents .= "$tran[total]" . "\n";

                    $pqty = $pqty + $tran['qty'];
//                                            $pcost        = $pcost + $tran['cost'];
                    $ptotamount = $ptotamount + $tran['amount'];
//                                            $ptotdiscperc = $ptotdiscperc + $tran['discperc'];
                    $ptotdiscount = $ptotdiscount + $tran['discount'];
                    $psubtot = $psubtot + $tran['subtot'];
//                                            $pcgstrate    = $pcgstrate + $tran['cgstrate'];
                    $pcgstamt = $pcgstamt + $tran['cgstamt'];
//                                            $psgstrate    = $psgstrate + $tran['sgstrate'];
                    $psgstamt = $psgstamt + $tran['sgstamt'];
//                                            $pigstrate    = $pigstrate + $tran['igstrate'];
                    $pigstamt = $pigstamt + $tran['igstamt'];
                    $ptotal = $ptotal + $tran['total'];
                }

                $contents .= "" . ",";
                $contents .= "" . ",";
                $contents .= "Total" . ",";
                $contents .= "$pqty" . ",";
                $contents .= "$pcost" . ",";
                $contents .= "$ptotamount" . ",";
                $contents .= "$ptotdiscperc" . ",";
                $contents .= "$ptotdiscount" . ",";
                $contents .= "$psubtot" . ",";
                $contents .= "$pcgstrate" . ",";
                $contents .= "$pcgstamt" . ",";
                $contents .= "$psgstrate" . ",";
                $contents .= "$psgstamt" . ",";
                $contents .= "$pigstrate" . ",";
                $contents .= "$pigstamt" . ",";
                $contents .= "$ptotal" . "\n";
            }
        }
        $contents .= "" . ",";
        $contents .= "" . ",";
        $contents .= "" . ",";
        $contents .= "" . ",";
        $contents .= "" . ",";
        $contents .= "" . ",";
        $contents .= "Total" . ",";
        $contents .= "$pgrtotqty" . ",";
        $contents .= "$pgrsubtot" . ",";
        $contents .= "$pgrtotdis" . ",";
        $contents .= "$pgrtotvat" . ",";
        $contents .= "$pgrtotalgst" . ",";
        $contents .= "$pgrtotalamount" . ",";
    }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1 || $_POST["dtype"] == 3) {
        header("Content-Disposition: attachment;filename = $formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment;filename = $formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>